# Get an AI Search endpoint

Launch stage: Public Preview

`GET /api/2.0/ai-search/{name=workspaces/*/endpoints/*}`

Get details for a single AI Search endpoint.

API scopes: ai-search

## Path parameters

- `name` (string, required)
  Full resource name of the endpoint.
   Format: `workspaces/{workspace_id}/endpoints/{endpoint_id}`

## Returns

Returns the Endpoint object.

## Response

```json
{
  "name": "docs-endpoint",
  "creator": "john@example.com",
  "create_time": "2023-12-08T05:31:52.061Z",
  "update_time": "2023-12-08T05:31:52.061Z",
  "endpoint_type": "string",
  "last_updated_user": "john@example.com",
  "id": "c56bf0a9-4929-4bd4-8bd5-d82ca62f9c76",
  "endpoint_status": {
    "state": "PROVISIONING",
    "message": "string"
  },
  "index_count": 0,
  "budget_policy_id": "string",
  "effective_budget_policy_id": "8b0444ff-8b60-48b0-9d31-e391f6126e0f",
  "custom_tags": [
    {
      "key": "string",
      "value": "string"
    }
  ],
  "throughput_info": {
    "requested_concurrency": 10,
    "current_concurrency": 8,
    "current_concurrency_utilization_percentage": 75.5,
    "minimal_concurrency_allowed": 2,
    "maximum_concurrency_allowed": 140,
    "change_request_state": "CHANGE_SUCCESS",
    "change_request_message": "Throughput successfully adjusted to 10 vCPUs",
    "requested_num_replicas": 2,
    "current_num_replicas": 1
  },
  "scaling_info": {
    "state": "SCALING_CHANGE_APPLIED",
    "requested_target_qps": 500
  },
  "usage_policy_id": "string",
  "replica_count": 0,
  "target_qps": 0
}
```

